# Created by pyp2rpm-3.3.6
%global pypi_name browser-cookie3

Name:           python-%{pypi_name}
Version:        0.12.1
Release:        %mkrel 5
Summary:        Loads cookies from your browser into a cookiejar object so can download with urllib and other libraries the same content you see in the web browser
Group:          Development/Python
License:        LGPv3
URL:            https://github.com/borisbabic/browser_cookie3
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Python3 fork of Richard Penman's Browser Cookie.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python3 fork of Richard Penman's Browser Cookie.

%prep
%autosetup -n %{pypi_name}-%{version}

sed -i 's|install_requires|#install_requires|' setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files browser_cookie3

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Sat Feb 10 2024 papoteur <papoteur> 0.12.1-5.mga10
+ Revision: 2040055
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.12.1-3.mga9
+ Revision: 1822980
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 0.12.1-2.mga9
+ Revision: 1778502
- Rebuild for python-3.10

* Sun Aug 22 2021 wally <wally> 0.12.1-1.mga9
+ Revision: 1742215
- imported package python-browser-cookie3

